Subject: FVWM: Re: FVWMTaskBar

From: David Barth <[email-masked]>
Date: Fri, 15 Mar 1996 11:59:06 +0100

Kay Winkler wrote:
> 
> Hello David,
> 
> Thanks for this good software. But i've got two small problems with
> using under AIX. There is no "%R" for the time format description,
> only "%r" and "%H". I've tried out %r and it works fine, so far.
> 
> But the clock didn't keep running. So i've looked at the source in
> FvwmTaskBar.c  and didn't find how to run the clock with seconds.
> Any suggestion?
> 
>                         Gruss
>                                 Kay
> 
> P.S.
> Will you try to incorporate small icons for the buttons?

Thanks for you bug-report : I had the 'time' problem to my TODO list...

The clock is updated each minute : I force the the 'select' in
'EndlessLopp' to give up :

      tv.tv_sec=60;
      tv.tv_usec=0;
      if ((ret = select(fd_width,&readset,NULL,NULL,&tv)) <= 0)
        { DrawGoodies(); goto hack; }

I couldn't manage to have SIGALRM working on OSF-Dec : perhaps someone
on the mailing list knows why (has it something to do with fvwm already
using this signal : the SA_RESTART didn't relaunch the read primitives
in the loop)

Icons in the buttons will be added as soon as I port it to fvwm-2.x

I'm also interested in having a 'PopupMenu x,y' statement in fvwm to
bind menus with a ... Linux/Start button ;-)
--
D.Barth
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].